# ---
# apiVersion: cert-manager.io/v1alpha2
# kind: ClusterIssuer
# metadata:
#   name: letsencrypt-http-nginx-production
# spec:
#   acme:
#     server: https://acme-v02.api.letsencrypt.org/directory
#     # Email address used for ACME registration
#     email: admin@do.devlits.com
#     # Name of a secret used to store the ACME account private key
#     privateKeySecretRef:
#       name: letsencrypt-http-nginx-production
#     solvers:
#       - http01:
#           ingress:
#             class: nginx-production
#         selector: {}

---
apiVersion: cert-manager.io/v1alpha2
kind: ClusterIssuer
metadata:
  name: letsencrypt-http-nginx-staging
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory
    # Email address used for ACME registration
    email: admin@do.devlits.com
    # Name of a secret used to store the ACME account private key
    privateKeySecretRef:
      name: letsencrypt-http-nginx-staging
    solvers:
      - http01:
          ingress:
            class: nginx-staging
        selector: {}

# ---
# apiVersion: cert-manager.io/v1alpha2
# kind: ClusterIssuer
# metadata:
#   name: letsencrypt-dns
# spec:
#   acme:
#     server: https://acme-v02.api.letsencrypt.org/directory
#     # Email address used for ACME registration
#     email: admin@do.devlits.com
#     # Name of a secret used to store the ACME account private key
#     privateKeySecretRef:
#       name: letsencrypt-dns
#     solvers:
#       - selector:
#           dnsZones:
#             - "do.devlits.com"
#             - "*.do.devlits.com"
#         dns01:
#           clouddns:
#             project: virtualexchange-241910
#             serviceAccountSecretRef:
#               key: key.json
#               name: clouddns-dns01-solver-svc-acct
#       - selector:
#           dnsZones:
#             - "aws.devlits.com"
#             - "*.aws.devlits.com"
#         dns01:
#           route53:
#             region: eu-west-1
#             accessKeyID: AAAAAAAAAAAAAAA
#             secretAccessKeySecretRef:
#               name: acme-route53
#               key: secret-access-key